Subject: Re: bug#9105: Feature req: Remembering emacs frames, windows, buffer position to subsequent session

From: martin rudalics <[email-masked]>
Date: Sun, 17 Jul 2011 11:46:34 +0200

> Often I'll have five or more frames open, some split vertically, perhaps
 > a couple split horizontally, all of them with different files (or
 > "buffers") in them-- though in some instances it's possible to have the
 > same buffer in more than one window or frame.  When I close emacs down
 > and then invoke it again, I'd like to have the same windows come up,
 > split the same way, with the same buffers/files in each frame and
 > window, and even with the frames in the same location onscreen as they
 > were in the prior session.  In short, the current session should be set
 > up exactly like the prior session at the time it was closed.

All this should be doable now using the functions `window-state-get' and
`window-state-put'.  Could you try implementing this in desktop.el?

martin